libzypp 17.38.15

Pathname.h File Reference
`#include <cstring>`
`#include <iosfwd>`
`#include <string>`
`#include <zypp-core/Globals.h>`

Go to the source code of this file.

## Classes
class | zypp::filesystem::Pathname
| Pathname. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::filesystem
| Types and functions for filesystem operations.

## Functions
bool | zypp::filesystem::operator== (const Pathname &l, const Pathname &r)
| relates: Pathname
bool | zypp::filesystem::operator!= (const Pathname &l, const Pathname &r)
| relates: Pathname
Pathname | zypp::filesystem::operator/ (const Pathname &l, const Pathname &r)
| relates: Pathname Concatenate two Pathname.
Pathname | zypp::filesystem::operator+ (const Pathname &l, const Pathname &r)
| relates: Pathname Concatenate two Pathname.
bool | zypp::filesystem::operator< (const Pathname &l, const Pathname &r)
| relates: Pathname
std::ostream & | zypp::filesystem::operator<< (std::ostream &str, const Pathname &obj)
| relates: Pathname Stream output